#
# spec file for package boost-compat (Version 1.33.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           boost-compat
License:        BSD 3-Clause
Group:          Development/Libraries/C and C++
Summary:        Boost 1.33.1 C++ Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        1.33.1
Release:        3.5
Source:         boost1331-libs.tar.bz2

%description
Boost 1.33.1 libraries provided for compatibility

%prep
%setup -c -n %{name} -T -a0


%install
%ifarch %ix86
MY_CPU=i386
%else
MY_CPU=%{_target_cpu}
%endif

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}

if [ -d %{suse_version}/${MY_CPU} ]; then
   cp -pr %{suse_version}/${MY_CPU}/* %{buildroot}%{_libdir}
fi

for f in $(find %{buildroot}%{_libdir} -type f -name '*.so*'); do
  chmod 755 $f
  strip -p --strip-unneeded $f
done

/sbin/ldconfig -n %{buildroot}%{_libdir}

%post
%run_ldconfig

%postun
%run_ldconfig

%files 
%defattr(-, root, root, -)
%{_libdir}/lib*
%changelog
* Fri Sep  7 2007 pth@suse.de
- include libraries from all supported distributions.
* Fri Sep  7 2007 pth@suse.de
- Initial package
